<!--
    Copyright (c) 2021 Texas Instruments Incorporated
    All rights reserved.

    Redistribution and use in source and binary forms, with or without
    modification, are permitted provided that the following conditions
    are met:

    *   Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
    *   Neither the name of Texas Instruments Incorporated nor the names of
    its contributors may be used to endorse or promote products derived
    from this software without specific prior written permission.

    THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
    AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
    THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
    PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
    CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
    EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
    PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
    OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
    WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
    OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
    EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-->
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <title>gc-widget-cloudagent-dialog Demo</title>
    <script src="../../gc-service-backplane/lib/internal/q.js"></script>
    <script src="/ticloudagent/agent.js"></script>
    <script nomodule="" src="../../build/gc-components.js"></script>
    <script type="module" src="../../build/gc-components.esm.js"></script>
    <script type="module" src="../../gc-core-databind/lib/CoreDatabind"></script>
    <link rel="stylesheet" type="text/css" href="../../../assets/stylesheets/gc-demo-stylesheet.css">

    <style>
        #demo_container {
            height: 400px;
        }
        #highlight_container {
            display: flex;

        }
        #tica_label {
            padding: 20px;
            text-align: center;
        }
    </style>
</head>

<body>
    <div id="demo_container">
        <div id="highlight_container" class="highlight">
            <gc-widget-cloudagent-dialog id="demo_element"></gc-widget-cloudagent-dialog>
            <div id="tica_label">TI CloudAgent Dialog Component</div>
        </div>
    </div>
    <div id="demo_properties_container">
        <table>
            <tr>
                <th><gc-widget-label label="Option" /></th>
                <th><gc-widget-label label="Value" /></th>
            </tr>
            <tr>
                <td><gc-widget-label label="Error Type" /></td>
                <td><gc-widget-select id="options" labels="|Agent Not Started|Invalid Agent Version|Invalid Extension Version|Missing Extension" max-visible-items="5" initial-index="0" /></td>
            </tr>
        </table>
    </div>
</body>

<script>
    import('../../gc-widget-base/lib/GcWidget').then(async ({ GcWidget }) => {
        const demoElement = await GcWidget.querySelector('#demo_element');
        const options = await GcWidget.querySelector('#options');

        options.addEventListener('selected-label-changed', ({ detail }) => {
            switch (detail.value) {
                case 'Agent Not Started':
                    return demoElement.open([new TICloudAgent.AgentNotStarted]);
                case 'Invalid Agent Version':
                    return demoElement.open([new TICloudAgent.InvalidAgentVersion]);
                case 'Invalid Extension Version':
                    return demoElement.open([new TICloudAgent.InvalidExtensionVersion]);
                case 'Missing Extension':
                    return demoElement.open([new TICloudAgent.MissingExtension]);
            }
        });
    });
</script>
</html>